%define name pclock
%define version 0.13.1
%define release 3

Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %release

Summary:	WindowMaker dockapp which displays an analog clock
Packager:	Mario Blättermann <rpm@mandrivauser.de>
Source:		%{name}-%{version}.tgz
Source1: 	%{name}.48.png
Source2: 	%{name}.32.png
Source3: 	%{name}.16.png
License:	GPL
Group:		Monitoring
URL:		http://dockapps.org/file.php/id/7
Requires:	libxpm
%ifarch i586
BuildRequires:  libx11_6-devel
%endif
%ifarch x86_64
BuildRequires:  lib64x11_6-devel
%endif
BuildRequires:	xpm-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
pclock is a simple analog clock program designed primarily to run under the
Window Maker window manager. Any 64x64 pixmap may be used as a background,
including tiles.
One current limitation is that the clock hands are drawn within the mask of
the background XPM file.

%description -l de
Pclock ist eine simple Analoguhr, die primär für WindowMaker entwickelt wurde. Jede 64x64 Pixel große Pixmap-Grafik kann als Hintergrund verwendet werden.
Die derzeit einzige Einschränkung ist, daß die Uhrzeiger innerhalb der Hintergrundgrafik darstellbar sein müssen. 

%prep
%__rm -rf $RPM_BUILD_ROOT

%setup
%setup -q

%build
cd ./src

%make

%install
%__mkdir_p %buildroot%{_bindir}
%__install -m 755 %{_builddir}/%{name}-%{version}/src/pclock %buildroot%{_bindir}
%__mkdir_p %buildroot%{_datadir}/%{name}-%{version}/demos
%__mkdir_p %buildroot%{_datadir}/%{name}-%{version}/src
%__mkdir_p %buildroot%{_datadir}/%{name}-%{version}/XPM
%__install -m 644 %{_builddir}/%{name}-%{version}/XPM/* %buildroot%{_datadir}/%{name}-%{version}/XPM
%__install -m 755 %{_builddir}/%{name}-%{version}/demos/* %buildroot%{_datadir}/%{name}-%{version}/demos
%__mkdir -p %buildroot%{_iconsdir}
%__mkdir -p %buildroot%{_miconsdir}
%__mkdir -p %buildroot%{_liconsdir}
%__install -m 644 %{SOURCE1} -D %buildroot%{_liconsdir}/%{name}.png
%__install -m 644 %{SOURCE2} -D %buildroot%{_iconsdir}/%{name}.png
%__install -m 644 %{SOURCE3} -D %buildroot%{_miconsdir}/%{name}.png

# menu entry
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name):pclock 
command="%_bindir/pclock" 
needs="X11" 
section="Monitoring" 
icon="pclock.png"
title="pclock" 
longtitle="pclock"
EOF

# xdg menu entry
mkdir -p %buildroot/%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=WindowMaker dockapp which displays an analog clock
Comment[de]=WindowMaker-Dockapp, das eine Analoguhr anzeigt
Exec=%{_bindir}/%{name}
Icon=%{_iconsdir}/%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

%post
%update_menus
%update_desktop_database
ln -f -s %{_bindir}/%{name} %{_datadir}/%{name}-%{version}/src/

%postun
%clean_menus
%clean_desktop_database
%__rm -rf %{_datadir}/%{name}-%{version}/src/

%files
%doc CHANGES COPYING CREDITS README TODO
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}-%{version}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog

* Mon Oct 27 2008 Mario Blättermann <rpm@mandrivauser.de> 0.13.1-3mud2009.0
- rebuild for 2009.0

* Mon Apr 14 2008 Mario Blättermann <rpm@mandrivauser.de> 0.13.1-2mud2008.1
- rebuild for 2008.1

* Wed Jan 13 2008 Mario Blättermann <rpm@mandrivauser.de> 0.13.1-1mud2008.0
- initial version
